Subject: bug#14575: 24.3.50.1; Overlays with a window property affect other windows

From: E Sabof <[email-masked]>
Date: Sat, 8 Jun 2013 21:16:55 +0100

Also, wanted to ask, is there a way to use bidi display to align English
text to the right?

On Sat, Jun 8, 2013 at 9:14 PM, E Sabof <[email-masked]> wrote:

> Well, it's Saturday...
>>
>> Btw, this bug was introduced 2 years ago, during the development of
>> v24.1, and no one ever said anything until now.  I guess that speaks
>> volumes of how frequently people use window-specific overlays.
>>
>
> I think the more advanced features of the display engine are generally
> under-used. Maybe because there aren't as many users from the front-end
> side of things.
>
> Btw, I'm trying to implement variable width right/centered paragraph
> alignment. Now that I think about it, I might also do justified text (with
> varied width of spaces).
>
> https://github.com/sabof/magic-buffer
>
> It's still in prototype stages, but the prognosis is good. And with
> window-specific overlays, I can make if work even it the text is displayed
> in multiple windows simultaneously
>